#!/bin/sh

# * ************************************************************************
# *  Proprietary Statement:                                                *
# *  Licensed Materials - property of IBM                                  *
# *                                                                        *
# *    VE R2.0 Centralized User Management Beta                            *
# *                                                                        *
# *    (C) Copyright IBM Corp. 2005 All Rights Reserved                    *
# *                                                                        *
# *    US Government Users Restricted Rights - Use, duplication or         *
# *    disclosure restricted by GSA ADP Schedule Contract with             *
# *    IBM Corp.                                                           * 
# *                                                                        *
# * ************************************************************************
# * ********************************************************************** * 
# * *** Set up global variables                                            * 
# * ********************************************************************** * 
# **************************************************************************
# FUNCTIONS                                                                * 

# **************************************************************************

printhelp()
{
echo ""
echo "Usage:"
echo "  Installing VE Centralized User Management Beta  "
echo ""
echo "The script wont install if WAS_HOME is not set"
echo ""
}
# ***************************************************************************
# * START OF MAIN SCRIPT PROGRAM                                            * 
# ***************************************************************************

# * STEP1                                                                   *
# * *********************************************************************** * 
# * *** Check first argument passed is a valid directory.                   *
# * *********************************************************************** *

WAS_HOME_LOC_DIR_ARG=$1

if [ "$WAS_HOME_LOC_DIR_ARG" = "" ] ; then
    echo "ERROR: WAS_HOME install directory parameter missing." 
    printhelp
    exit 1
fi

if [ ! -d $WAS_HOME_LOC_DIR_ARG ] ; then
    echo "ERROR: Not a valid directory $WAS_HOME_LOC_DIR_ARG. "  
    exit 1
fi

# ************************************************************************** *
# * Now copying jars to WAS_HOME/lib              *
# ************************************************************************** *
if [ -d "$WAS_HOME_LOC_DIR_ARG" ] ; then
    cp wim.jar $WAS_HOME/lib
    cp wimbase.jar $WAS_HOME/lib
    cp wimui.jar $WAS_HOME/lib
    cp jcraft.jar $WAS_HOME/lib
    cp remoteaccess.jar $WAS_HOME/lib
    cp jlogEnglish.jar $WAS_HOME/lib
    cp ibmsecauthz.jar $WAS_HOME/lib
    cp WAS6/classes/* $WAS_HOME/classes/
    cp -R wim/ /opt/IBM/VE2/p/VEISC/config/cells/VEISCNode01Cell
    cp WIMPortlet.war /opt/IBM/VE2/ISC/PortalServer/bin/
    cp vewim.jar $WAS_HOME/lib
fi

